package com.wechat.model.requestDto;

import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import com.wechat.model.dto.IntvTimeDto;

public class InterviewUpdateReq {

	private Integer intvId;

    private String publisher;

    private String status;  //状态[1-待求职者确认；2-待企业确认；3-等待面试；4-已拒绝；5-面试结束]
    
    private String interviewee;    //被邀请面试者
    
    private List<IntvTimeDto>  intvTimeList;

    @NotNull(message="参数不能为空|Params can not be empty.")
    public Integer getIntvId() {
        return intvId;
    }

    public void setIntvId(Integer intvId) {
        this.intvId = intvId;
    }

    @NotBlank(message="参数不能为空|Params can not be empty.")
    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher == null ? null : publisher.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }


	@NotBlank(message="参数不能为空|Params can not be empty.")
	public String getInterviewee() {
		return interviewee;
	}

	public void setInterviewee(String interviewee) {
		this.interviewee = interviewee;
	}

	@NotEmpty(message="参数不能为空|Params can not be empty.")
	public List<IntvTimeDto> getIntvTimeList() {
		return intvTimeList;
	}

	public void setIntvTimeList(List<IntvTimeDto> intvTimeList) {
		this.intvTimeList = intvTimeList;
	}


}